View Issue Details

IDProjectCategoryView StatusLast Update
13166Bug reports[All Projects] Theme editorpublic2018-01-15 10:40
ReportercdorinAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.x 
Summary13166: Survey theme editor - Animate checkboxes
DescriptionInherit button not working properly? See the steps to reproduce.
Steps To ReproduceSurvey settings menu -> Theme options -> Do not inherit anything

Play with any "animate" option (select yes and choose an animation). Save. Preview Survey. Everything is ok.

Go back to survey theme options and look at the "animate" options you changed earlier. Choose inherit and then save. Preview Survey.

Now you will see that the inherit option is not working. The animate options you chose in the first instance are still active.
TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-Versionirrelevant
Operating System (Server)irrelevant
Webserver software & versionirrelevant
PHP Versionirrelevant

Activities

LouisGac

LouisGac

2018-01-11 17:01

manager   ~45565

first analysis:
radioanimationduration' => string '' (length=0)
markusfluer

markusfluer

2018-01-12 12:39

developer   ~45586

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25997

Related Changesets

LimeSurvey: master 5943981f

2018-01-12 12:39:14

markusfluer

Details Diff
Fixed issue 13166: Survey theme editor - Animate checkboxes (fruity only)
mod - themes/survey/fruity/config.xml Diff File
mod - themes/survey/fruity/options/options.js Diff File
mod - themes/survey/fruity/options/options.twig Diff File
mod - themes/survey/fruity/views/subviews/header/custom_header.twig Diff File

Issue History

Date Modified Username Field Change
2018-01-11 16:55 cdorin New Issue
2018-01-11 16:55 cdorin Status new => assigned
2018-01-11 16:55 cdorin Assigned To => LouisGac
2018-01-11 17:00 LouisGac Sticky Issue No => Yes
2018-01-11 17:01 LouisGac Note Added: 45565
2018-01-12 12:39 markusfluer Changeset attached => LimeSurvey master 5943981f
2018-01-12 12:39 markusfluer Note Added: 45586
2018-01-12 12:39 markusfluer Assigned To LouisGac => markusfluer
2018-01-12 12:39 markusfluer Resolution open => fixed
2018-01-12 12:41 markusfluer Status assigned => resolved
2018-01-12 12:41 markusfluer Fixed in Version => 3.0.x
2018-01-12 13:18 c_schmitz Sticky Issue Yes => No
2018-01-15 10:40 c_schmitz Status resolved => closed